Package org.apache.batchee.container.util

## Class PartitionDataWrapper

- java.lang.Object
- - org.apache.batchee.container.util.PartitionDataWrapper

-     public class PartitionDataWrapper
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PartitionDataWrapper.PartitionEventType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartitionDataWrapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchstatus()` |
    `Serializable` | `getCollectorData()` |
    `PartitionDataWrapper.PartitionEventType` | `getEventType()` |
    `String` | `getExitStatus()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setCollectorData​(Serializable collectorData)` |
    `void` | `setEventType​(PartitionDataWrapper.PartitionEventType eventType)` |
    `void` | `setExitStatus​(String exitStatus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionDataWrapper

          public PartitionDataWrapper()

  - ### Method Detail

    - #### getBatchstatus

          public javax.batch.runtime.BatchStatus getBatchstatus()

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getCollectorData

          public Serializable getCollectorData()

    - #### setCollectorData

          public void setCollectorData​(Serializable collectorData)

    - #### getEventType

          public PartitionDataWrapper.PartitionEventType getEventType()

    - #### setEventType

          public void setEventType​(PartitionDataWrapper.PartitionEventType eventType)